Bug 729 - Package request for tomahawk-player
: Package request for tomahawk-player
Status: RESOLVED WONTFIX
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Package Requests
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-01 08:31 MSD by arnav
Modified: 2012-12-24 14:03 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description arnav 2012-09-01 08:31:29 MSD
Description of problem:
Tomahawk player is a music player. http://www.tomahawk-player.org/

Would it be possible to package it for ROSA Marathon 2012?
Comment 1 Andrey Bondrov 2012-09-04 16:55:02 MSD
(In reply to comment #0)
> Description of problem:
> Tomahawk player is a music player. http://www.tomahawk-player.org/
> 
> Would it be possible to package it for ROSA Marathon 2012?

Should be possible :-) Unless it depends on very new system libraries. One of our maintainers already took the job. So soon we'll know.
Comment 2 Alexander Khryukin 2012-09-04 18:40:19 MSD
tomahawk requires cmake and clucene

CMake 2.8.6 or higher is required.  You are running version 2.8.4

LOG: http://abf.rosalinux.ru/downloads/rosa2012lts/container/tomahawk-701754/log/tomahawk/build.log


And package requires clucene-devel => 2.3.3.4, but in LTS repo version too old.

If you want this package anyway, you should ask QA-team about updates for clucene (which brokes kde4) and cmake (that's system package).

I'm trying to "disconnect" cmake, and it's ok, but tomahawk grabbed a stranglehold clucene 2.3.x.x


In my opinion is much easier way just install 2012.1 (tomahawk-player available in repos)
Comment 3 arnav 2012-09-05 10:59:25 MSD
Thank you, I will install 2012.1 when it becomes a bit more stable.
Comment 4 Alexander Khryukin 2012-12-24 14:03:21 MSK
2012.1 repos is frozen now.
You can install tomahawk.


Closed.